API keys
Get API key usage
Get request totals and daily usage for an API key over the last 1 to 90 days.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
key_id*string
Resource identifier: key_id.
Format
uuidQuery Parameters
days?integer
Filter or parameter: days.
Range
1 <= value <= 90Default
30Header Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/api-keys/123e4567-e89b-42d3-a456-426614174000/usage"{ "key_id": "123e4567-e89b-42d3-a456-426614174000", "days": 0, "total_requests": 0, "successful_requests": 0, "error_requests": 0, "items": [ { "date": "2026-09-04", "requests": 0, "errors": 0 } ]}